// Copyright (c) [2021-2023] [Horizon Robotics].
//
// You can use this software according to the terms and conditions of
// the Apache v2.0.
// You may obtain a copy of Apache v2.0. at:
//
//     http: //www.apache.org/licenses/LICENSE-2.0
//
// THIS SOFTWARE IS PROVIDED ON AN "AS IS" BASIS, WITHOUT WARRANTIES OF
// ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO
// NON-INFRINGEMENT, MERCHANTABILITY OR FIT FOR A PARTICULAR PURPOSE.
// See Apache v2.0 for more details.

#ifndef _EASY_DNN_STATUS_H_
#define _EASY_DNN_STATUS_H_

namespace hobot {
namespace easy_dnn {

typedef enum {
  DNN_SUCCESS = 0,
  DNN_INVALID_ARGUMENT = -6000001,
  DNN_INVALID_MODEL = -6000002,
  DNN_MODEL_NUMBER_EXCEED_LIMIT = -6000003,
  DNN_INVALID_PACKED_DNN_HANDLE = -6000004,
  DNN_INVALID_DNN_HANDLE = -6000005,
  DNN_CAN_NOT_OPEN_FILE = -6000006,
  DNN_OUT_OF_MEMORY = -6000007,
  DNN_TIMEOUT = -6000008,
  DNN_TASK_NUM_EXCEED_LIMIT = -6000009,
  DNN_TASK_BATCH_SIZE_EXCEED_LIMIT = -6000010,
  DNN_INVALID_TASK_HANDLE = -6000011,
  DNN_RUN_TASK_FAILED = -6000012,
  DNN_MODEL_IS_RUNNING = -6000013,
  DNN_INCOMPATIBLE_MODEL = -6000014,
  DNN_API_USE_ERROR = -6000015,
  // error codes above are same with libdnn [-6000001, -6000255]
  DNN_PROCESS_INPUT_FAILED = -6000256,
  DNN_PARSE_OUTPUT_FAILED = -6000257,
  DNN_INPUTS_INVALID = -6000258,
  DNN_INVALID_PLUGIN = -6000259,
  DNN_OUTPUTS_INVALID = -6000260,
} DNNStatus;

}  // namespace easy_dnn
}  // namespace hobot

#endif  // _EASY_DNN_STATUS_H_
